<!-- 全体のベース -->
<!DOCTYPE html>
<html>
<!-- head部 -->
<head>
  <meta charset="UTF-8">
  <meta name="generator" content="Hugo">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta http-equiv="X-UA-Compatible" content="IE=Edge">
  {{- if .IsHome }}
  <!-- トップページの title -->
  <title>{{ .Site.Title }}</title>
  {{- else }}
  <!-- トップページ以外の title -->
  <title>{{ .Title }} &ndash; {{ .Site.Title }}</title>
  {{- end }}
  <link rel="stylesheet" href="{{ `css/syntax.css` | relURL }}">
  <link rel="stylesheet" href="{{ `css/style.css` | relURL }}">
</head>
<!-- body部 -->
<body>
<!-- htaccess パラメータが定義されていればコメントを加える -->
{{- if .Param "htaccess" }}
  {{- (printf "<!-- htaccess: %s -->" (.Param "htaccess")) | safeHTML }}
{{- end }}
<!-- ページ上部 -->
{{- block "top" . }}
  <!-- テンプレート中で top が定義されていなければ partialx/top.html が利用される -->
  {{- partial "top.html" . }}
{{- end }}
<!-- メイン部 -->
{{- block "main" . }}
  <!-- テンプレート中で main が定義されていなければ以下が利用される -->
  {{ .Content }}
{{- end }}
<!-- デバッグ情報 -->
{{- if .Param "debug_show_variables" }}
  <!-- debug_show_variables 変数が真ならデバッグ情報を表示する -->
  {{- partial "debug_show_variables.html" . }}
{{- end }}
<!-- ページ下部-->
{{- block "bottom" . }}
  <!-- テンプレート中で bottom が定義されていなければ以下が利用される -->
  {{- partial "bottom.html" . }}
{{- end }}
</body>
</html>
